Bug 1120160 - fedmsg messages mention COPR owner instead of the person doing the build
Summary: fedmsg messages mention COPR owner instead of the person doing the build
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Adam Samalik
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-16 10:48 UTC by Petr Viktorin
Modified: 2014-08-15 06:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-15 06:43:25 UTC


Attachments (Terms of Use)

Description Petr Viktorin 2014-07-16 10:48:31 UTC
Description of problem:
I have given build/admin rights to my COPR to a colleague. Builds that he starts there are now attributed to me.

Actual results:

[2014-07-16 12:40:24] <fedmsg-bot> copr.build.start -- pviktori started a new build of the freeipa copr https://copr.fedoraproject.org/coprs/pviktori/freeipa/

[2014-07-16 12:40:53] <fedmsg-bot> copr.build.end -- pviktori's freeipa copr build finished with 'failed' https://copr.fedoraproject.org/coprs/pviktori/freeipa/

Expected results:

[2014-07-16 12:40:24] <fedmsg-bot> copr.build.start -- jhrozek started a new build of the freeipa copr https://copr.fedoraproject.org/coprs/pviktori/freeipa/

[2014-07-16 12:40:53] <fedmsg-bot> copr.build.end -- jhrozek's freeipa copr build finished with 'failed' https://copr.fedoraproject.org/coprs/pviktori/freeipa/

Additional info:

I'm unfairly getting Fedora badges for other people's work :(

If I read bug 1027860 correctly, having team projects under a personal account is the way to go.

Comment 1 Adam Samalik 2014-07-23 12:44:20 UTC
Hi Petr, I am very sorry about the Fedora badges you are getting. I will fix it for you! :-)

Anyway, good point, thanks for noticing!

Comment 2 Adam Samalik 2014-08-01 16:39:45 UTC
Fixed in 1a4473e


Note You need to log in before you can comment on or make changes to this bug.